Generate image using AI
curl --request POST \
--url https://api.videodb.io/collection/{collection_id}/generate/image/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"prompt": "A beautiful sunset over mountains",
"aspect_ratio": "16:9",
"callback_url": "https://webhook.example.com/callback"
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A beautiful sunset over mountains',
aspect_ratio: '16:9',
callback_url: 'https://webhook.example.com/callback'
})
};
fetch('https://api.videodb.io/collection/{collection_id}/generate/image/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/collection/{collection_id}/generate/image/' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"prompt": "A beautiful sunset over mountains",
"aspect_ratio": "16:9",
"callback_url": "https://webhook.example.com/callback"
}'import Foundation
let parameters = [
"prompt": "A beautiful sunset over mountains",
"aspect_ratio": "16:9",
"callback_url": "https://webhook.example.com/callback"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/collection/{collection_id}/generate/image/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/collection/{collection_id}/generate/image/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"prompt\": \"A beautiful sunset over mountains\",\n \"aspect_ratio\": \"16:9\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/collection/{collection_id}/generate/image/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"prompt\": \"A beautiful sunset over mountains\",\n \"aspect_ratio\": \"16:9\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A beautiful sunset over mountains',
aspect_ratio: '16:9',
callback_url: 'https://webhook.example.com/callback'
})
};
fetch('https://api.videodb.io/collection/{collection_id}/generate/image/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/collection/{collection_id}/generate/image/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"prompt\": \"A beautiful sunset over mountains\",\n \"aspect_ratio\": \"16:9\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/collection/{collection_id}/generate/image/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"prompt\": \"A beautiful sunset over mountains\",\n \"aspect_ratio\": \"16:9\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"prompt\": \"A beautiful sunset over mountains\",\n \"aspect_ratio\": \"16:9\",\n \"callback_url\": \"https://webhook.example.com/callback\"\n}")
val request = Request.Builder()
.url("https://api.videodb.io/collection/{collection_id}/generate/image/")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"status": "processing",
"data": {
"id": "job-123",
"output_url": "https://api.videodb.io/async-response/job-123"
}
}Generate Image with AI
Generate images using AI models from text prompts
POST
/
collection
/
{collection_id}
/
generate
/
image
/
Generate image using AI
Create AI-generated images from text descriptions with customizable aspect ratios. The generated image is returned immediately as an Image object.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
image = coll.generate_image(
prompt="Serene mountain landscape with golden sunset",
aspect_ratio="16:9"
)
print(image.id)
print(image.generate_url())
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const image = await coll.generateImage(
"Serene mountain landscape with golden sunset",
"16:9"
);
console.log(image.id);
console.log(await image.generateUrl());
- Supported aspect ratios:
1:1,9:16,16:9,4:3,3:4 - Default aspect ratio is
1:1if not specified - Generation is asynchronous; use
callback_urlfor webhook notification when ready - Image IDs have an
i-prefix (e.g.,i-a1b2c3d4)
Generative Media Guide
Learn about all AI generation capabilities
Related Endpoint
Generate Video
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"default"
Body
application/json
⌘I